// This file is part of TTDXRecolor.
// Copyright (c) 2010, Uwe Domaratius

#include "CRecolorTable.hpp"

CRecolorTable::CRecolorTable()
: mEntries()
, mIsDos(false)
{
   mEntries.resize(256);
   init();
}

void CRecolorTable::init(void)
{
   for (UInt32 i = 0; i < 256; i++)
   {
      setEntry(i,i);
   }
}

void CRecolorTable::setEntry(const UInt32 index, const UInt32 value)
{
   mEntries[index] = value;
}
